Name:           fakesystemd
Version:        1
Release:        16%{?dist}
Summary:        Docker-specific package fake systemd existence in system

License:        MIT
BuildArch:      noarch

Provides:   systemd = 208
Provides:   systemd-units = 208
Provides:   systemd-libs = 208
Provides:   udev = 208
Provides:   libgudev1
Provides:   libudev.so.1
Provides:   libudev.so.1(LIBUDEV_183)(64bit)
Provides:   libudev.so.1(LIBUDEV_196)(64bit)
Provides:   libudev.so.1(LIBUDEV_199)(64bit)
Provides:   libudev.so.1()(64bit)

Conflicts:  systemd

Source0:    macros.systemd


%description
Minimal docker-specific package to satisfy systemd Provides: without installing systemd in Docker images.
It is intended strictly for use in Docker images/containers. It doesn't provide any functionality from
systemd package - it only contains few important directories and files. fakesystemd is definitely not
applicable for full bootable operation system!

To install the real systemd in the image you need to run yum swap command in this form:
    yum swap -- remove fakesystemd -- install systemd systemd-libs

%prep

%build

%install
for dir in systemd/system systemd/user tmpfiles.d sysctl.d modules-load.d binfmt.d udev/rules.d
do
  mkdir -p %{buildroot}%{_sysconfdir}/${dir}
done

for dir in system-generators user-generators system-preset user-preset system-shutdown system-sleep catalog ntp-units.d
do
  mkdir -p %{buildroot}%{_prefix}/lib/systemd/${dir}
done

for dir in tmpfiles.d sysctl.d sysctl.d modules-load.d binfmt.d
do
  mkdir -p %{buildroot}%{_prefix}/lib/${dir}
done

mkdir -p %{buildroot}%{_datadir}/systemd 
mkdir -p %{buildroot}%{_datadir}/pkgconfig
mkdir -p %{buildroot}%{_localstatedir}/lib/systemd/catalog


install -Dpm 0644 %{SOURCE0} %{buildroot}%{_rpmconfigdir}/macros.d/macros.systemd


%files
%dir %{_sysconfdir}/systemd
%dir %{_sysconfdir}/systemd/system
%dir %{_sysconfdir}/systemd/user
%dir %{_sysconfdir}/tmpfiles.d
%dir %{_sysconfdir}/sysctl.d
%dir %{_sysconfdir}/modules-load.d
%dir %{_sysconfdir}/binfmt.d
%dir %{_sysconfdir}/udev
%dir %{_sysconfdir}/udev/rules.d
%dir %{_prefix}/lib/systemd
%dir %{_prefix}/lib/systemd/system-generators
%dir %{_prefix}/lib/systemd/user-generators
%dir %{_prefix}/lib/systemd/system-preset
%dir %{_prefix}/lib/systemd/user-preset
%dir %{_prefix}/lib/systemd/system-shutdown
%dir %{_prefix}/lib/systemd/system-sleep
%dir %{_prefix}/lib/systemd/catalog
%dir %{_prefix}/lib/systemd/ntp-units.d
%dir %{_prefix}/lib/tmpfiles.d
%dir %{_prefix}/lib/sysctl.d
%dir %{_prefix}/lib/modules-load.d
%dir %{_prefix}/lib/binfmt.d
%dir %{_datadir}/systemd
%dir %{_datadir}/pkgconfig
%dir %{_localstatedir}/lib/systemd
%dir %{_localstatedir}/lib/systemd/catalog
%{_rpmconfigdir}/macros.d/macros.systemd

%changelog
* Fri Sep 19 2014 Jim Perrin <jperrin@centos.org> - 1-16
- fix pathing issue with rpm macros

* Fri Jul 11 2014 Václav Pavlín <vpavlin@redhat.com> - 1-15
- Fix version for Provides

* Fri May 30 2014 Václav Pavlín <vpavlin@redhat.com> - 1-14
- Fix type in Description

* Fri May 30 2014 Václav Pavlín <vpavlin@redhat.com> - 1-13
- Update Summary for the package

* Thu May 29 2014 Václav Pavlín <vpavlin@redhat.com> - 1-12
- Revert previous removal. Swap for the real systemd can be done
  with following command:
    yum swap -- remove fakesystemd -- install systemd systemd-libs

* Thu May 22 2014 Václav Pavlín <vpavlin@redhat.com> - 1-11
- Remove *udev provides to allow yum swap fakesystemd systemd

* Thu May 15 2014 Václav Pavlín <vpavlin@redhat.com> - 1-10
- Add systemd-libs provide

* Thu May 15 2014 Václav Pavlín <vpavlin@redhat.com> - 1-9
- Bump systemd version

* Thu May 01 2014 Václav Pavlín <vpavlin@redhat.com> - 1-8
- Add libudev.so.1()(64bit) to Provides

* Thu May 01 2014 Václav Pavlín <vpavlin@redhat.com> - 1-7
- Add libudev.so.1(LIBUDEV_183)(64bit) to Provides

* Thu May 01 2014 Václav Pavlín <vpavlin@redhat.com> - 1-6
- Add libudev.so.1 to Provides for util-linux

* Mon Apr 28 2014 Václav Pavlín <vpavlin@redhat.com> - 1-5
- Add libgudev1 to Provides
